tocd changes

ubuntu/precise
Adam Conrad 20 years ago
parent 72764d349f
commit c137ae55e8

7
debian/changelog vendored

@ -1,5 +1,6 @@
livecd-rootfs (0.24) hoary-cat-UNRELEASED; urgency=low
[ LaMont Jones ]
* Incorporate e2fs-zero.py from Paul Sladen:
http://www.paul.sladen.org/ubuntu/e2fszero/e2fs-zero.py
And use it instead of partimage. Suggest: partimage instead of
@ -8,7 +9,11 @@ livecd-rootfs (0.24) hoary-cat-UNRELEASED; urgency=low
* some HPPA fixes, allow architectures to have more than just main.
* add debian/compat
-- LaMont Jones <lamont@ubuntu.com> Thu, 29 Sep 2005 19:07:57 -0600
[ Adam Conrad ]
* Incorporate 'tocd' target, including hideous hack to get the
germinate output from Colin's lists at people.ubuntu.com
-- Adam Conrad <adconrad@0c3.net> Fri, 30 Sep 2005 23:25:02 +1000
livecd-rootfs (0.23) hoary-cat; urgency=low

@ -98,7 +98,7 @@ fi
for arg in "$@"; do
case "$arg" in
ubuntu|kubuntu|base)
ubuntu|kubuntu|base|tocd)
;;
*)
echo bad name >&2;
@ -138,6 +138,28 @@ Flags: seen
base)
LIST="$LIST ubuntu-base"
;;
tocd)
LIST="$LIST ubuntu-base"
tocdtmp=`mktemp -d` || exit 1
tocdgerminate='http://people.ubuntu.com/~cjwatson/germinate-output/tocd3.1-breezy/'
if wget -O "$tocdtmp"/desktop "$tocdgerminate"/desktop; then
tocddesktop=`awk '{print $1}' "$tocdtmp"/desktop | egrep -v '^-|^Package|^\|' | tr '\n' ' '`
echo "TheOpenCD desktop package list is: $tocddesktop"
else
echo "Unable to fetch tocd-desktop germinate output."
[ -d "$tocdtmp" ] && rm -rf "$tocdtmp"
exit 1
fi
if wget -O "$tocdtmp"/live "$tocdgerminate"/live; then
tocdlive=`awk '{print $1}' "$tocdtmp"/live | egrep -v '^-|^Package|^\|' | tr '\n' ' '`
echo "TheOpenCD live package list is: $tocdlive"
else
echo "Unable to fetch tocd-live germinate output."
[ -d "$tocdtmp" ] && rm -rf "$tocdtmp"
exit 1
fi
[ -d "$tocdtmp" ] && rm -rf "$tocdtmp"
LIST="$LIST $tocddesktop $tocdlive"
esac
dpkg -l livecd-rootfs # get our version # in the log.

Loading…
Cancel
Save